From e4393b72512089892ad7bd40a1727d2890f89edd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hugo=20Beauz=C3=A9e-Luyssen?= <beauze.h@gmail.com>
Date: Thu, 24 Nov 2011 11:29:59 +0100
Subject: [PATCH 2/3] dash: Removing factory another class instantiation.

---
 modules/stream_filter/dash/DASHManager.cpp         |    4 +---
 modules/stream_filter/dash/DASHManager.h           |    1 -
 .../stream_filter/dash/mpd/MPDManagerFactory.cpp   |   14 ++------------
 modules/stream_filter/dash/mpd/MPDManagerFactory.h |    7 ++-----
 4 files changed, 5 insertions(+), 21 deletions(-)

diff --git a/modules/stream_filter/dash/DASHManager.cpp b/modules/stream_filter/dash/DASHManager.cpp
index 9dfb333..aa4e8fb 100644
--- a/modules/stream_filter/dash/DASHManager.cpp
+++ b/modules/stream_filter/dash/DASHManager.cpp
@@ -40,8 +40,7 @@ DASHManager::DASHManager    (HTTPConnectionManager *conManager, Node *node, IAda
     this->node              = node;
     this->logicType         = type;
     this->profile           = profile;
-    this->mpdManagerFactory = new MPDManagerFactory();
-    this->mpdManager        = this->mpdManagerFactory->create(this->profile, this->node);
+    this->mpdManager        = mpd::MPDManagerFactory::create(this->profile, this->node);
     this->adaptationLogic   = AdaptationLogicFactory::create( this->logicType, this->mpdManager );
     this->currentChunk      = NULL;
 
@@ -50,7 +49,6 @@ DASHManager::DASHManager    (HTTPConnectionManager *conManager, Node *node, IAda
 DASHManager::~DASHManager   ()
 {
     delete(this->adaptationLogic);
-    delete(this->mpdManager);
 }
 
 int DASHManager::read   (void *p_buffer, size_t len)
diff --git a/modules/stream_filter/dash/DASHManager.h b/modules/stream_filter/dash/DASHManager.h
index e35d10b..a9affcb 100644
--- a/modules/stream_filter/dash/DASHManager.h
+++ b/modules/stream_filter/dash/DASHManager.h
@@ -51,7 +51,6 @@ namespace dash
             logic::IAdaptationLogic::LogicType  logicType;
             mpd::Profile                        profile;
             xml::Node                           *node;
-            mpd::MPDManagerFactory              *mpdManagerFactory;
             mpd::IMPDManager                    *mpdManager;
     };
 }
diff --git a/modules/stream_filter/dash/mpd/MPDManagerFactory.cpp b/modules/stream_filter/dash/mpd/MPDManagerFactory.cpp
index fdf3e2e..9412acf 100644
--- a/modules/stream_filter/dash/mpd/MPDManagerFactory.cpp
+++ b/modules/stream_filter/dash/mpd/MPDManagerFactory.cpp
@@ -30,29 +30,19 @@
 using namespace dash::mpd;
 using namespace dash::xml;
 
-MPDManagerFactory::MPDManagerFactory()
-{
-    // TODO Auto-generated constructor stub
-
-}
-
-MPDManagerFactory::~MPDManagerFactory()
-{
-    // TODO Auto-generated destructor stub
-}
-
 IMPDManager* MPDManagerFactory::create                  (Profile profile, Node *root)
 {
     switch(profile)
     {
         case mpd::Basic:    return new NullManager();
-        case mpd::BasicCM:  return this->createBasicCMManager(root);
+        case mpd::BasicCM:  return createBasicCMManager(root);
         case mpd::Full2011: return new NullManager();
         case mpd::NotValid: return new NullManager();
 
         default:            return new NullManager();
     }
 }
+
 IMPDManager* MPDManagerFactory::createBasicCMManager    (Node *root)
 {
     BasicCMParser *parser = new BasicCMParser(root);
diff --git a/modules/stream_filter/dash/mpd/MPDManagerFactory.h b/modules/stream_filter/dash/mpd/MPDManagerFactory.h
index 6741696..b5cf9b5 100644
--- a/modules/stream_filter/dash/mpd/MPDManagerFactory.h
+++ b/modules/stream_filter/dash/mpd/MPDManagerFactory.h
@@ -38,13 +38,10 @@ namespace dash
         class MPDManagerFactory
         {
             public:
-                MPDManagerFactory           ();
-                virtual ~MPDManagerFactory  ();
-
-                IMPDManager* create(Profile profile, dash::xml::Node *root);
+                static IMPDManager* create(Profile profile, dash::xml::Node *root);
 
             private:
-                IMPDManager* createBasicCMManager(dash::xml::Node *root);
+                static IMPDManager* createBasicCMManager(dash::xml::Node *root);
         };
     }
 }
-- 
1.7.7.4

